
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= format( "mole_target%s", multiple_colour_name )
	actor[cp_model_dir]				= "beasties"
	actor[cp_model_name]			= "slug"

	actor[cp_hit_power]				= -0.1

	actor[cp_remove_between_stage]	= 1

	actor[cp_launch_hue_shift]		= colour_tables[use_multiple_colour+1]

	actor[cp_actor_type]			= cat_beastie + cat_block + cat_star_target
	actor[cp_these_collide_with_me]	= cat_bullet + cat_crystal

	actor[cp_launch_scale_min]		= 14000.0
	actor[cp_launch_scale_max]		= 14000.0

	actor[cp_score]					= 1
	actor[cp_egg_count]				= 1

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "blink", 100.0, 100.0, 0.1, 1.0 )

	c_add_shadow_to_bone( "bobs1", 0.07 )


	use_multiple_colour = 2

